# Get the latest snapshot from a topology source

Canonical: https://docs.shumoku.dev/ja/server/next/api/getTopologiesByTopologyIdSourcesBySourceIdLatestSnapshot
Language: ja
Server documentation version: next
Product version: 0.3.0-beta.2
Channel: development

このドキュメントは開発中のServerを対象としています。

Shumoku Server API · 0.3.0-beta.2 · Topology Observations

# Get the latest snapshot from a topology source

[OpenAPIソース](https://github.com/konoe-akitoshi/shumoku/blob/5f096e6f2846e5c56f7e8e674a361501dea00ee2/apps/server/api/openapi.json)

APIの説明は英語のOpenAPI canonical sourceを表示しています。

```
GET /api/topologies/{topologyId}/sources/{sourceId}/latest-snapshot
```

## 認証

sessionCookie / bearerAuth

## レスポンス

| ステータス | 説明 | スキーマ |
| --- | --- | --- |
| `200` | Latest snapshot | `LatestTopologySnapshot` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/5f096e6f2846e5c56f7e8e674a361501dea00ee2/apps/server/api/openapi.json)
